{% extends 'app/base.html' %}

{% load static %}

{% block contenido %}

    <link rel="stylesheet" href="{% static 'app/CSS/estilo catalogo.css' %}">
 <div class="titulo">

     <h1 align="center">Catalogo</h1>

    <div class="d-flex justify-content-ini">

        <form action="" method="GET" >
            Filtrar por:
            <input type="search" name="nombre" placeholder="Nombre..." />
            <input type="search" name="precio" placeholder="Precio..." />
            <button type="submit" class="btn btn-primary">Buscar</button> {% csrf_token %}
        </form>

    </div>

    <div id="boton-agreg" class="d-flex justify-content-ini">

        {% if perms.app.add_producto %}

        <a href="{% url 'agregar' %}" class="d-flex justify-content-ini btn btn-primary">Agregar productos</a>

        {% endif %}


        {% if perms.app.delete_producto %}
        <a href="{% url 'eliminar' %}" class="btn btn-danger" >Eliminar productos</a>
        {% endif %}
    </div>

</div>

<div class="catalogo">
  

    {% load humanize %}

    
    {% for p in queryset%}

    <div class="img">

        {% if p.imagen %}
        <img class="img" src="{{ p.imagen.url }}" alt="comida de hamster">
        {% endif %}

        <p> {{ p.nombre | capfirst }} {{ p.descripcion | title }} <br> ${{ p.precio | intcomma}}</p>
        
        {% if perms.app.change_producto %}
        <a href="{% url 'modificar' p.id %}">Editar</a>
        {% endif %}
    </div>

    {% endfor %}

    
</div>

    <div class="paginador">
        <hr>
        {% include 'app/paginator.html' %}

    </div>

{% endblock %}